// AP(r) Computer Science Marine Biology Simulation:
// The SimpleMBSDisplay class is copyright(c) 2002 College Entrance
// Examination Board (www.collegeboard.com).
//
// This class is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation.
//
// This class is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

import javax.swing.JFrame;
import javax.swing.BorderFactory;

/**
 *  AP&reg; Computer Science Marine Biology Simulation:<br>
 *  A <code>SimpleMBSDisplay</code> is a window containing just a
 *  simple graphical display of the environment of fish.
 *
 *  <p>
 *  The <code>SimpleMBSDisplay</code> class is
 *  copyright&copy; 2002 College Entrance Examination Board
 *  (www.collegeboard.com).
 *
 *  @author Chris Nevison
 *  @version 1 August 2002
 **/

public class SimpleMBSDisplay extends JFrame implements EnvDisplay
{
    private MBSDisplay display;
    private int delay;

    /** Construct a new window containing just the MBSDisplay object.
     *  @param env  the Environment to display
     *  @param dSecs the delay between steps in milliseconds
     **/
    public SimpleMBSDisplay(Environment env, int dMsecs)
    {
        delay = dMsecs;
    
        // Specify the class that knows how to draw fish.
        DisplayMap.associate("Fish", new FishDisplay());
    
        setTitle("Marine Biology Simulation");
        setLocation(10, 10);
        setSize(300, 300);
        setDefaultCloseOperation(EXIT_ON_CLOSE);
    
        display = new MBSDisplay(env);
        display.setBorder(BorderFactory.createEmptyBorder(10, 10, 10, 10));
        getContentPane().add(display);
        pack();
        setVisible(true);
    }

  public void showEnv()
  {
    display.showEnv();
    try 
    {
      Thread.sleep(delay);
    }
    catch (InterruptedException e) {}
  }
}
